<?php

$this->start_controls_section(
    'content_section',
    [
        'label' => __('Content', 'ostech-addon'),
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
        'condition' => [
            'layout_type' => 'layout_one'
        ]
    ]
);

$this->add_control(
    'title',
    [
        'label' => __('Add Title', 'ostech-addon'),
        'type' => \Elementor\Controls_Manager::TEXT,
        'default' => __('Gallery', 'ostech-addon')
    ]
);

ostech_elementor_heading_option($this, 'Title', 'h3', 'layout_one');


$footer_gallery_list = new \Elementor\Repeater();

$footer_gallery_list->add_control(
    'image',
    [
        'label' => __('Image', 'ostech-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [
            'url' => \Elementor\Utils::get_placeholder_image_src(),
        ],
    ]
);
$this->add_control(
    'footer_gallery_list',
    [
        'label' => __('Gallery List', 'ostech-addon'),
        'type' => \Elementor\Controls_Manager::REPEATER,
        'fields' => $footer_gallery_list->get_controls(),
        'prevent_empty' => false,
    ]
);


$this->end_controls_section();
